function fillGumballRandomly(doc, e) {
	// fill radial gradient randomly
	var element = doc.getElement('ball');
	if (element) {
		var centerColor = 'white';
		var edgeColor = '#' + Math.floor(Math.random()*16777215).toString(16);
		// fillRadialGradient(originX, originY, colorStops)
		// originX, originY: gradient origin in %, 50 means the center of the element
		// colorStops: array of color stop, each color stop in turn is an array [stop position in %, stop color]
		element.fillRadialGradient(50, 50, [[0, centerColor], [100, edgeColor]]);
	}
}
	


